<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2010 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id$
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<ipojo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns="org.apache.felix.ipojo"
       xsi:schemaLocation="org.apache.felix.ipojo http://felix.apache.org/ipojo/schemas/1.6.0/core.xsd" >

  <!-- - - - - - - - - - Default Weld Service - - - - - - - - - -->

  <component classname="org.ow2.jonas.cdi.weld.internal.DefaultWeldService"
             immediate="false">

    <provides />
    
    <properties propagation="true" />
  </component>

  <!-- - - - - - - - - - Weld Context Customizer - - - - - - - - - -->

  <component classname="org.ow2.jonas.cdi.weld.internal.tomcat.WeldContextCustomizer">

    <provides />

    <requires optional="false">
      <callback method="setWeldService" type="bind" />
    </requires>
    <requires optional="false">
      <callback method="setDeploymentBuilder" type="bind" />
    </requires>
  </component>

  <instance component="org.ow2.jonas.cdi.weld.internal.tomcat.WeldContextCustomizer"
            name="weld-context-customizer" />

  <!-- - - - - - - - - - Default Deployment Builder - - - - - - - - - -->

  <component classname="org.ow2.jonas.cdi.weld.internal.deployment.DefaultDeploymentBuilder">

    <provides />

    <requires optional="false">
      <callback method="setArchiveManager" type="bind" />
    </requires>
    <requires optional="false">
      <callback method="setWeldService" type="bind" />
    </requires>
  </component>

  <instance component="org.ow2.jonas.cdi.weld.internal.deployment.DefaultDeploymentBuilder"
            name="weld-deployment-builder" />
  
</ipojo>
